// -*-c++-*-

# ifndef TestRepetitionSentry_h
# define TestRepetitionSentry_h

# include "TestHeader.h"

class TestRepetitionSentry
  : public TestCase
{
public:
  TestRepetitionSentry(std::string name = "");
  static Test* suite();
protected:
  void repetition();
  void repetitionAfterCapture();
};

# endif // TestRepetitionSentry_h
